#pragma once
#include "Entity.h"
//肥皂的伤害区
class CS_Enemy_SoapFrontDmgRect :
    public Entity
{
public:
    CS_Enemy_SoapFrontDmgRect(std::shared_ptr<Entity> parent);
    void Step() override;
    std::weak_ptr<Entity> BeginCaught(std::weak_ptr<Entity> e) override;//开始被某单位抓取（切换到被抓取状态）
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    int dmg = 1;
};

